Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Archived » Visual Editor (VE) » VE with Eclipse 3.3.0
VE with Eclipse 3.3.0 [message #143084] Mon, 19 November 2007 21:25 Go to next message
P. Michael Hutchins is currently offline P. Michael Hutchins
Messages: 19
Registered: July 2009
Junior Member
I used "Update Manager" the best I could to get VE.

Product Configuration now shows the following:
o Visual Editor SDK 1.2.1.v20060825...
o Java EMF Model SDK 1.2.3.v20070130...
o Visual Editor 1.2.1.v20060817...
o Visual Editor Source 1.2.1.v20060817

I had a problematic RCP patch listed in the larger list. I couldn't
figure out how to get it fixed, so I just disabled & removed it.

The "VE Developer FAQ"
( http://www.eclipse.org/vep/WebContent/faq.html#install_howto) tells how
to get VE for Eclipse 3.1.2 -- and then says "With Eclipse 3.2, there's
Callisto, which makes it all simpler...". Then it says "See Callisto.",
but that URL takes me to a place that is utterly useless to me.

Then it says "Or you can download the version of VE that matches your
installation of Eclipse.", but I didn't find any way to do that matching.

When I run Eclipse -clean -debug, I get the following:
Start VM: -Xms40m
-Xmx512m
-Djava.class.path=C:\eclipse\plugins\org.eclipse.equinox.lau ncher_1.0.1.R33x_v20070828.jar
-os win32
-ws win32
-arch x86
-showsplash
C:\eclipse\\plugins\org.eclipse.platform_3.3.1.M20070725\spl ash.bmp
-launcher C:\eclipse\eclipse.exe
-name Eclipse
--launcher.library
C:\eclipse\plugins\org.eclipse.equinox.launcher.win32.win32. x86_1.0.1.R33x_v20070828\eclipse_1020.dll

-startup
C:\eclipse\plugins\org.eclipse.equinox.launcher_1.0.1.R33x_v 20070828.jar
-clean
-debug
-vm C:\Program Files\Java\jre1.5.0_11\bin\client\jvm.dll
-vmargs
-Xms40m
-Xmx512m
-Djava.class.path=C:\eclipse\plugins\org.eclipse.equinox.lau ncher_1.0.1.R33x_v20070828.jar
Install location:
file:/c:/eclipse/
Configuration file:
file:/c:/eclipse/configuration/config.ini loaded
Configuration location:
file:/c:/eclipse/configuration/
Framework located:
file:/c:/eclipse/plugins/org.eclipse.osgi_3.3.1.R33x_v200708 28.jar
Framework classpath:
file:/c:/eclipse/plugins/org.eclipse.osgi_3.3.1.R33x_v200708 28.jar
Splash location:
C:\eclipse\\plugins\org.eclipse.platform_3.3.1.M20070725\spl ash.bmp
Debug options:
file:/C:/eclipse/.options not found
Time to load bundles: 63
Starting application: 5328
Application Started: 14375

Someone said that doing this showed some dependencies that he hadn't known
about.
(although why in the world one would have to go to such an arcane command
line method to find this out, I can't imagine)

I don't see anything like that in my console output.


(The bottom line is that when I try to open a Java file in the Visual
Editor the way that Help sez to..
(right-click the .java-file in the Package Explorer view of theJava
perspective, and select Open With > Visual Editor in the popup menu)

..I can't find Visual Editor anywhere.
(ie: including looking in Other...) )


What should I do, please?


Thanks,

-- M.
Re: VE with Eclipse 3.3.0 [message #143095 is a reply to message #143084] Tue, 20 November 2007 13:55 Go to previous messageGo to next message
Eclipse User
Originally posted by: luis_dediego.yahoo.com

Hi,

I also had problems when trying to use VE. It is currently not compatible with the 3.3 release. The best
solution is to install another version of Eclipse with the proper plugin configuration and make the edit using
this release. If you want to go back to the latest development version you can start the first Eclipse but
with VE disabled.

My current configuration is:
Eclipse version 3.2 from Callixto.

and using links to mount eclipse extension I have added

extension.EclipseEMFSDK2.2.0.link
extension.EclipseGEF3.2.link
extension.EclipseVE1.2.2.link

Those are the downloaded versions of the features installed.

If you do not know how to configure Eclipse to be started with a external configurable set of features (using
links) post me a new message for the explanation.

Hope this helps.

Best regards.
Luis de Diego
Re: VE with Eclipse 3.3.0 [message #143105 is a reply to message #143095] Tue, 20 November 2007 16:02 Go to previous message
P. Michael Hutchins is currently offline P. Michael Hutchins
Messages: 19
Registered: July 2009
Junior Member
Thank you, Luis.

I was about to tirade that that info isn't told to us who try to add VE to
3.3, but then I found such a notice on the Visual Editor Project Home Page
(http://www.eclipse.org/vep/WebContent/main.php).

OTOH, it remains that I spent (wasted) an awful lot of time ydy trying to
get this to work - and on no page I visited was this information divulged
(let alone prominent, as it should be)..

(I never went to the page with the notice. I submit that I shouldn't've
been expected to: What I care about is getting VE - not the project.)

..and moreover, neither Eclipse's vaunted Update Manager, nor Callisto
(whatever that is) ever issued a peep that what I was trying to do is
impossible. Eclipse seems to have at least some capability to know about
dependencies - so couldn't whatever framework supports that have helped me
here?

(Re going back to 3.2 so I could use VE: Thank you sincerely for that
info, but that's way more trouble than I'm up for; I just went back to my
trusty JBuilder.)


-- M.
Re: VE with Eclipse 3.3.0 [message #616883 is a reply to message #143084] Tue, 20 November 2007 13:55 Go to previous message
Luis de Diego is currently offline Luis de Diego
Messages: 1
Registered: July 2009
Junior Member
Hi,

I also had problems when trying to use VE. It is currently not compatible with the 3.3 release. The best
solution is to install another version of Eclipse with the proper plugin configuration and make the edit using
this release. If you want to go back to the latest development version you can start the first Eclipse but
with VE disabled.

My current configuration is:
Eclipse version 3.2 from Callixto.

and using links to mount eclipse extension I have added

extension.EclipseEMFSDK2.2.0.link
extension.EclipseGEF3.2.link
extension.EclipseVE1.2.2.link

Those are the downloaded versions of the features installed.

If you do not know how to configure Eclipse to be started with a external configurable set of features (using
links) post me a new message for the explanation.

Hope this helps.

Best regards.
Luis de Diego
Re: VE with Eclipse 3.3.0 [message #616884 is a reply to message #143095] Tue, 20 November 2007 16:02 Go to previous message
P. Michael Hutchins is currently offline P. Michael Hutchins
Messages: 19
Registered: July 2009
Junior Member
Thank you, Luis.

I was about to tirade that that info isn't told to us who try to add VE to
3.3, but then I found such a notice on the Visual Editor Project Home Page
(http://www.eclipse.org/vep/WebContent/main.php).

OTOH, it remains that I spent (wasted) an awful lot of time ydy trying to
get this to work - and on no page I visited was this information divulged
(let alone prominent, as it should be)..

(I never went to the page with the notice. I submit that I shouldn't've
been expected to: What I care about is getting VE - not the project.)

..and moreover, neither Eclipse's vaunted Update Manager, nor Callisto
(whatever that is) ever issued a peep that what I was trying to do is
impossible. Eclipse seems to have at least some capability to know about
dependencies - so couldn't whatever framework supports that have helped me
here?

(Re going back to 3.2 so I could use VE: Thank you sincerely for that
info, but that's way more trouble than I'm up for; I just went back to my
trusty JBuilder.)


-- M.
Previous Topic:VE with Eclipse 3.3.0
Next Topic:extending VE in other languages
Goto Forum:
  


Current Time: Sun Oct 26 07:01:22 GMT 2014

Powered by FUDForum. Page generated in 0.03503 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software